ï»¿/* Generated with Author-it 5.2.71.2359  3/21/2012 4:04:01 PM */
Page=new Array();Page[0]=new Array("This document explains how to localize the Parallels Pro Control Panel for Linux (formerly known as Ensim Pro for Linux) control panel and online Help for any language or region. For simplicity, Parallels Pro Control Panel for Linux is referred to as &quot;Parallels Pro Control Panel&quot; throughout the document.","After you install a language pack, you can view the text of Parallels Pro Control Panel in the selected language. For the complete list of languages and directory names that correspond to the language see language table (Appendix A. Complete List of Languages and Directory Names section). Review the list and replace all instances of &lt;lang&gt; in this document with the corresponding directory names (values from the Directory name column).","About This Guide","about.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("The translation kit includes the following files.","Files","Description","epl_localization_guidelines.pdf","This document","epl_source_help.zip","A WinZip archive containing the source files of the online Help","en_US.tar.gz","A compressed UNIX archive containing the control panel strings","Translation Kit Contents","7024.htm");
Page[4]=new Array("The text strings used in Parallels Pro Control Panel are stored in an industry-standard format called &quot;Portable Object,&quot; or .po files. Compiled .po files are referred to as .mo files. For more information on .po and .mo formats, refer to the following link http://www.gnu.org/software/gettext/manual/html_node/gettext_toc.html. To localize the strings and offer the control panels in a new language, you need to download and uncompress the archive, open the .po files in a text editor of choice and translate the .po files, then install the translated files on the server.","The .po files are provided as a compressed file en_US.tar.gz with Parallels Pro Control Panel. You can download the file from the Parallels Pro Control Panel Support Site http://www.ensim.com/support/pro/linux/translationkit.html. The source archive for Power Tools contained in the compressed file en_US.tar.gz contains the latest versions of Power Tools.","Before you localize the strings, read the localization guidelines enumerated in the following section.","Localizing the Control Panel Strings","7025.htm");
Page[5]=new Array("All the .po files are in message catalog format and can be manipulated using Linux utilities like msgfmt. For more information on msgfmt and other related utilities, refer to http://www.gnu.org/software/gettext/manual/html_node/gettext_toc.html.","You must adhere to the following rules when you localize the strings.","When specifying the .po file header, you should use the UTF-8 character set NOT the character set that corresponds to the language you are translating to. Irrespective of whether you are writing a German or a Japanese .po file, you must use the UTF-8 character set NOT the utf-8 or the SHIFT-JIS character set. If you do not have text editors capable of saving files in UTF-8, manually convert the .po file to UTF-8 by running the following command:","msgconv -t UTF-8 -o &lt;new_file&gt;.po &lt;source_file&gt;.po","where","&lt;new_file&gt; is the name of the .po file converted to the UTF-8 character set","&lt;source_file&gt; is the original .po file (en_US locale)","You should not translate Python string keyworded arguments. They come in the form of &quot;%(some_text)s &quot;, &quot;%(some_text)d &quot; or &quot;%(some_text)f &quot;.","For example, translating the English string:","&quot;%(name)s, please &quot;","to French as","&quot;%(nom)s, s&amp;#146il vous plait &quot;","would be incorrect. The English string","&quot;%(name)s, please &quot;","should be translated to French as:","&quot;%(name)s, s&amp;#146il vous plait &quot;","Localization Guidelines","7026.htm");
Page[6]=new Array("There are five steps involved in localizing the control panel strings.","Localizing the Strings","7027.htm");
Page[7]=new Array("To translate and compile the .po files, follow the instructions in this section.","To translate and compile the .po files:","Using an archive utility, uncompress the archive en_US.tar.gz.","Translate the msgstr values in the .po file to the target language. Ensure that you follow the rules in localization guidelines (on page 1).","Create a language directory, for example es_ES (if you are translating the strings to Spanish), and the LC_MESSAGES directory at /usr/lib/ensim/frontend/locale/.","mkdir /usr/lib/ensim/frontend/locale/&lt;lang&gt;","mkdir /usr/lib/ensim/frontend/locale/&lt;lang&gt;/LC_MESSAGES","Change to the directory /usr/lib/ensim/frontend/locale/&lt;lang&gt;/LC_MESSAGES/.","cd /usr/lib/ensim/frontend/locale/&lt;lang&gt;/LC_MESSAGES/","Copy the translated .po files and make_po.sh into the directory /usr/lib/ensim/frontend/locale/&lt;lang&gt;/LC_MESSAGES/.","Run the following command to compile the following files&#0151;epl.po, vh3error.po, legacyerror.po.","sh ./make_po.sh $PWD","The script creates the .mo file epl.mo.","Run the following command to compile the file legacy.po.","msgfmt -o legacy.mo legacy.po","The script creates the .mo file legacy.mo.","Compiling Power Tools Files","To compile the Power Tool .po files:","Change to the directory where you uncompressed the archive en_US.tar.gz. Locate the Power Tools PO file powertools.po.","Translate the msgstr values in each .po file to the target language. Ensure that you follow the rules in the localization guidelines.","Create a language directory, for example es_ES (if you are translating the strings to Spanish), at /usr/lib/ensim/deployables/lib/locale/ and the LC_MESSAGES directory under the language directory.","mkdir /usr/lib/ensim/deployables/lib/locale/&lt;lang&gt;","mkdir /usr/lib/ensim/deployables/lib/locale/&lt;lang&gt;/LC_MESSAGES","Change to the directory /usr/lib/ensim/deployables/lib/locale/&lt;lang&gt;/LC_MESSAGES/.","cd /usr/lib/ensim/deployables/lib/locale/&lt;lang&gt;/LC_MESSAGES/","Copy the translated .po files into the directory /usr/lib/ensim/deployables/lib/locale/&lt;lang&gt;/LC_MESSAGES/.","Compile the files in the directory /usr/lib/ensim/deployables/lib/locale/&lt;lang&gt;/LC_MESSAGES/ into corresponding .mo files by running the following command:","msgfmt -o msgs.mo powertools.po","Step 1. Translating and Compiling the .po Files","7028.htm");
Page[8]=new Array("This step requires you to create the following files:","Language display file","index.html file","Language Display File","The language display file contains the text string that Parallels Pro Control Panel displays in the language selection drop-down box when you log into the control panel. Create a file /etc/appliance/language/&lt;lang&gt; and save the text string that you want Parallels Pro Control Panel to display in the language selection drop-down box.","For example, if you want to provide Parallels Pro Control Panel in the Spanish locale, create a file  /etc/appliance/language/es_ES containing the string &quot;EspaÑol (ES)&quot;, with a single end line.","index.html file","Translate the file /usr/share/doc/webppliance-language-en_US-&lt;version&gt;/index.html.en_US and place it in the locale directory /usr/share/doc/webppliance-language-&lt;lang&gt;-&lt;version&gt;/index.html.&lt;lang&gt;.","For example, if you want to provide Parallels Pro Control Panel in Spanish locale, translate the file <br>/usr/share/doc/webppliance-language-en_US-&lt;version&gt;/index.html.en_US and place it in the Spanish locale directory /usr/share/doc/webppliance-language-es_ES-&lt;version&gt;/index.html.es_ES.","Step 2. Creating the Language config Files and the index.html File","7030.htm");
Page[9]=new Array("The strings.xml file is used to translate the text in Parallels Pro Control Panel Power Tools. Its format differs from the .po file, but the translation is straight-forward.","Open the file /usr/lib/ensim/deployables/lib/locale/en_US/LC_MESSAGES/strings.xml and translate the strings between the &lt;msgstr&gt; and &lt;/msgstr&gt; tags to the target language. Save the file as /usr/lib/ensim/deployables/lib/locale/&lt;lang&gt;/LC_MESSAGES/strings.xml.","The following is an excerpt from the German strings.xml file:","&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt;","&lt;strings&gt;","&lt;string&gt;","Project-Id-Version: PACKAGE VERSION POT-Creation-Date: 2003-09-06 13:57-0400 PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE Last-Translator: FULL NAME &amp;lt;EMAIL@ADDRESS&amp;gt; Language-Team: LANGUAGE &amp;lt;LL@li.org&amp;gt; MIME-Version: 1.0 Content-Type: text/plain; charset=ascii Content-Transfer-Encoding: 8bit","&lt;/msgid&gt;","&lt;msgstr&gt;","Project-Id-Version: PACKAGE VERSION POT-Creation-Date: 2003-09-06 13:57-0400 PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE Last-Translator: FULL NAME &amp;lt;EMAIL@ADDRESS&amp;gt; Language-Team: LANGUAGE &amp;lt;LL@li.org&amp;gt; MIME-Version: 1.0 Content-Type: text/plain; charset=ascii Content-Transfer-Encoding: 8bit","&lt;/msgstr&gt;","&lt;/string&gt;","&lt;string&gt;","Install&lt;/msgid&gt;","&lt;msgstr&gt;Installieren&lt;/msgstr&gt;","&lt;/string&gt;","&lt;string&gt;","Reconfigure&lt;/msgid&gt;","&lt;msgstr&gt;Neu konfigurieren&lt;/msgstr&gt;","&lt;/string&gt;","&lt;string&gt;","Upgrade&lt;/msgid&gt;","&lt;msgstr&gt;Upgrade&lt;/msgstr&gt;","&lt;/string&gt; ...","Step 3. Translating the strings.xml File","7033.htm");
Page[10]=new Array("After all the translations have been done, and the .po files have been compiled to .mo files in the corresponding directory structure, the language pack needs to be wrapped into a tarball (.tar.gz) or an RPM. The convention used for naming the tarball/RPM is: webppliance-language-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz or webppliance-language-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.i386.rpm.","To create an archive:","Create a file, for example localization.txt, containing the .po and .mo files listed below. The file should be a text file listing the absolute path for each file, one file per line.","Example:","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/legacy.mo","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/epl.mo","Create an archive by running the following command:","tar -zcvf webppliance-language-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz 'cat localization.txt'","If you want to package the files into an RPM, consult http://www.rpm.org/RPM-HOWTO/.","As an example, if you are packaging the localization tarball for the Spanish locale (es_ES), the following files must be present in the package.","/usr/lib/ensim/deployables/lib/locale/es_ES/LC_MESSAGES/msgs.mo","/usr/lib/ensim/deployables/lib/locale/es_ES/LC_MESSAGES/strings.xml","/usr/share/doc/webppliance-language-es_ES-10.3.1/index.html.en_US","/etc/appliance/languages/es_ES","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/epl.po","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/legacy.po","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/vh3error.po","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/legacyerror.po","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/legacy.mo","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/epl.mo","/usr/lib/ensim/frontend/locale/es_ES/LC_MESSAGES/make_po.sh","Step 4. Packaging a Localization Tarball or RPM","7034.htm");
Page[11]=new Array("To localize the online help:","Download .zip archives with online help documentation from Parallels Pro Control Panel Documentation page: http://www.parallels.com/en/pro/docs. ","Unzip the archives to your local directories and translate all text in .htm files. ","Note: Some .htm files are generated for navigation purposes and don't need to be translated.","Note: to make the Search option in the Online Help index page work in your language, you need to translate the English text in the Pages array in the dhtml_search.js files.","After the translations have been done, copy the Help files to the online Help document root folder and package the files into a tarball or an RPM.","To package an online Help tarball:","Create a folder where you want to store the Help files for each Help level under the online Help document root folder /usr/share/doc/webppliance-docs-&lt;version&gt;/&lt;lang&gt;.","For example, you may create the following folders for each Help level.","Server Administrator: /usr/share/doc/webppliance-docs-&lt;version&gt;/&lt;lang&gt;/appliance","Reseller: /usr/share/doc/webppliance-docs-&lt;version&gt;/&lt;lang&gt;/reseller","Site: /usr/share/doc/webppliance-docs-&lt;version&gt;/&lt;lang&gt;/site","User: /usr/share/doc/webppliance-docs-&lt;version&gt;/&lt;lang&gt;/user","Copy the translated Help files to the corresponding Help folders.","Create a file, for example localization_help.txt, containing the Help folders. The file should be a text file listing the absolute path for each folder, one folder per line.","Example:","/usr/share/doc/webppliance-docs-10.3.1/es_ES/appliance","Package the online Help files into a tarball (.tar.gz). The convention used for naming the tarball or the RPM is: webppliance-docs-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz or webppliance-docs-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.i386.rpm.","Please ensure that the tarball or RPM contains all the files located at /usr/share/doc/webppliance-docs-&lt;version&gt;/&lt;lang&gt;/.","For example, if you are packaging the online Help for Parallels Pro Control Panel 10.3.1 for the Spanish locale (es_ES), then the tarball or RPM must include all the files within the folder /usr/share/doc/webppliance-docs-10.3.1/es_ES/.","tar -zcvf webppliance-docs-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz 'cat localization_help.txt'","Localizing the Help","7039.htm");
Page[12]=new Array("After you have translated and generated the online Help, you need to install it on the Parallels Pro Control Panel server.","To install the online Help files:","Uncompress the file webppliance-docs-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz on the Parallels Pro Control Panel server by typing the following command at the prompt.","tar zxvf webppliance-docs-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz -C /","Restart Parallels Pro Control Panel.","service epld restart","The translated Help files are installed.","Installing the Translated Help Files","7035.htm");
Page[13]=new Array("After you have translated the strings in the .po files, you must install them on the server. To install, uncompress the files on the server and restart Parallels Pro Control Panel. This enables you to view the translated strings when you log in to the control panel.","To install the translated .po files:","Uncompress the file webppliance-language-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz on the Parallels Pro Control Panel server by typing the following command at the prompt.","tar zxvf webppliance-language-&lt;lang&gt;-&lt;version&gt;-&lt;release&gt;.tar.gz -C /","Restart Parallels Pro Control Panel.","service epld restart","The translated .po files are installed.","Installing the Translated .po Files","7036.htm");
Page[14]=new Array("The following table provides a complete list of languages and the corresponding directory names.","Language","Directory name &lt;lang&gt;","Afrikaans","af","Afrikaans (South Africa)","af-ZA","Albanian","sq","Albanian (Albania)","sq-AL","Arabic","ar","Arabic (Algeria)","ar-DZ","Arabic (Bahrain)","ar-BH","Arabic (Egypt)","ar-EG","Arabic (Iraq)","ar-IQ","Arabic (Jordan)","ar-JO","Arabic (Kuwait)","ar-KW","Arabic (Lebanon)","ar-LB","Arabic (Libya)","ar-LY","Arabic (Morocco)","ar-MA","Arabic (Oman)","ar-OM","Arabic (Qatar)","ar-QA","Arabic (Saudi Arabia)","ar-SA","Arabic (Syria)","ar-SY","Arabic (Tunisia)","ar-TN","Arabic (U.A.E.)","ar-AE","Arabic (Yemen)","ar-YE","Armenian","hy","Armenian (Armenia)","hy-AM","Azeri","az","Azeri (Cyrillic) (Azerbaijan)","az-AZ-Cyrl","Azeri (Latin) (Azerbaijan)","az-AZ-Latn","Basque","eu","Basque (Basque)","eu-ES","Belarusian","be","Belarusian (Belarus)","be-BY","Bulgarian","bg","Bulgarian (Bulgaria)","bg-BG","Catalan","ca","Catalan (Catalan)","ca-ES","Chinese (Hong Kong S.A.R.)","zh-HK","Chinese (Macau S.A.R.)","zh-MO","Chinese (People's Republic of China)","zh-CN","Chinese (Simplified)","zh-CHS","Chinese (Singapore)","zh-SG","Chinese (Taiwan)","zh-TW","Chinese (Traditional)","zh-CHT","Croatian","hr","Croatian (Croatia)","hr-HR","Czech","cs","Czech (Czech Republic)","cs-CZ","Danish","da","Danish (Denmark)","da-DK","Divehi","div","Divehi (Maldives)","div-MV","Dutch","nl","Dutch (Belgium)","nl-BE","Dutch (Netherlands)","nl-NL","English","en","English (Australia)","en-AU","English (Belize)","en-BZ","English (Canada)","en-CA","English (Caribbean)","en-CB","English (Ireland)","en-IE","English (Jamaica)","en-JM","English (New Zealand)","en-NZ","English (Republic of the Philippines)","en-PH","English (South Africa)","en-ZA","English (Trinidad and Tobago)","en-TT","English (United Kingdom)","en-GB","English (United States)","en-US","English (Zimbabwe)","en-ZW","Estonian","et","Estonian (Estonia)","et-EE","Faroese","fo","Faroese (Faroe Islands)","fo-FO","Farsi","fa","Farsi (Iran)","fa-IR","Finnish","fi","Finnish (Finland)","fi-FI","French","fr","French (Belgium)","fr-BE","French (Canada)","fr-CA","French (France)","fr-FR","French (Luxembourg)","fr-LU","French (Principality of Monaco)","fr-MC","French (Switzerland)","fr-CH","FYRO Macedonian","mk","FYRO Macedonian (Former Yugoslav Republic of Macedonia)","mk-MK","Galician","gl","Galician (Galician)","gl-ES","Georgian","ka","Georgian (Georgia)","ka-GE","German","de","German (Austria)","de-AT","German (Germany)","de-DE","German (Liechtenstein)","de-LI","German (Luxembourg)","de-LU","German (Switzerland)","de-CH","Greek","el","Greek (Greece)","el-GR","Gujarati","gu","Gujarati (India)","gu-IN","Hebrew","he","Hebrew (Israel)","he-IL","Hindi","hi","Hindi (India)","hi-IN","Hungarian","hu","Hungarian (Hungary)","hu-HU","Icelandic","is","Icelandic (Iceland)","is-IS","Indonesian","id","Indonesian (Indonesia)","id-ID","Invariant Language (Invariant Country)","Italian","it","Italian (Italy)","it-IT","Italian (Switzerland)","it-CH","Japanese","ja","Japanese (Japan)","ja-JP","Kannada","kn","Kannada (India)","kn-IN","Kazakh","kk","Kazakh (Kazakhstan)","kk-KZ","Konkani","kok","Konkani (India)","kok-IN","Korean","ko","Korean (Korea)","ko-KR","Kyrgyz","ky","Kyrgyz (Kyrgyzstan)","ky-KZ","Latvian","lv","Latvian (Latvia)","lv-LV","Lithuanian","lt","Lithuanian (Lithuania)","lt-LT","Malay","ms","Malay (Brunei Darussalam)","ms-BN","Malay (Malaysia)","ms-MY","Marathi","mr","Marathi (India)","mr-IN","Mongolian","mn","Mongolian (Mongolia)","mn-MN","Norwegian","no","Norwegian (BokmÐµl) (Norway)","nb-NO","Norwegian (Nynorsk) (Norway)","nn-NO","Polish","pl","Polish (Poland)","pl-PL","Portuguese","pt","Portuguese (Brazil)","pt-BR","Portuguese (Portugal)","pt-PT","Punjabi","pa","Punjabi (India)","pa-IN","Romanian","ro","Romanian (Romania)","ro-RO","Russian","ru","Russian (Russia)","ru-RU","Sanskrit","sa","Sanskrit (India)","sa-IN","Serbian (Cyrillic) (Serbia)","sr-SP-Cyrl","Serbian (Latin) (Serbia)","sr-SP-Latn","Slovak","sk","Slovak (Slovakia)","sk-SK","Slovenian","sl","Slovenian (Slovenia)","sl-SI","Spanish","es","Spanish (Argentina)","es-AR","Spanish (Bolivia)","es-BO","Spanish (Chile)","es-CL","Spanish (Colombia)","es-CO","Spanish (Costa Rica)","es-CR","Spanish (Dominican Republic)","es-DO","Spanish (Ecuador)","es-EC","Spanish (El Salvador)","es-SV","Spanish (Guatemala)","es-GT","Spanish (Honduras)","es-HN","Spanish (Mexico)","es-MX","Spanish (Nicaragua)","es-NI","Spanish (Panama)","es-PA","Spanish (Paraguay)","es-PY","Spanish (Peru)","es-PE","Spanish (Puerto Rico)","es-PR","Spanish (Spain)","es-ES","Spanish (Uruguay)","es-UY","Spanish (Venezuela)","es-VE","Syriac","syr","Syriac (Syria)","syr-SY","Swahili","sw","Swahili (Kenya)","sw-KE","Swedish","sv","Swedish (Finland)","sv-FI","Swedish (Sweden)","sv-SE","Tamil","ta","Tamil (India)","ta-IN","Tatar","tt","Tatar (Russia)","tt-RU","Telugu","te","Telugu (India)","te-IN","Thai","th","Thai (Thailand)","th-TH","Turkish","tr","Turkish (Turkey)","tr-TR","Ukrainian","uk","Ukrainian (Ukraine)","uk-UA","Urdu","ur","Urdu (Islamic Republic of Pakistan)","ur-PK","Uzbek","uz","Uzbek (Cyrillic) (Uzbekistan)","uz-UZ-Cyrl","Uzbek (Latin) (Uzbekistan)","uz-UZ-Latn","Vietnamese","vi","Vietnamese (Viet Nam)","vi-VN","Appendix A. Complete List of Languages and Directory Names","7023.htm");
var PageCount=15;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}
